Package org.eclipse.e4.core.services.nls

# Interface MessageConsumer

public interface MessageConsumer
Consumer interface that is used to bind a method of an object (e.g. a SWT control) to a field of a Messages instance. Typically the setter of a localizable property will be called with the given value as parameter (e.g. `label.setText(value)`)

This is a functional interface whose functional method is `accept(String)`.

When updating to Java 8 this interface can be removed and replaced with the general `java.util.function.Consumer`

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(String value)`

## Method Details

### accept

void accept(String value)

Parameters:
  `value` - The localization value that should be set to the control.